! Solution 4/1
   program reverse_order
      integer                 :: i, j, k, temp
      integer, dimension(100) :: reverse
      do i = 1,100
         reverse(i) = i
      end do
      read *, i, j
      do k= i, i+(j-i-1)/2
         temp = reverse(k)
         reverse(k) = reverse(j-k+i)
         reverse(j-k+i) = temp
      end do
   end program reverse_order
